<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Menschderlader: menschderlader.cli Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Menschderlader
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">A bot that mimics a human while downloading files</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacemenschderlader.html">menschderlader</a></li><li class="navelem"><a class="el" href="namespacemenschderlader_1_1cli.html">cli</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">menschderlader.cli Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:abe23ad5d71c2037d274709d79bca3efd"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemenschderlader_1_1cli.html#abe23ad5d71c2037d274709d79bca3efd">create_args</a> ()</td></tr>
<tr class="separator:abe23ad5d71c2037d274709d79bca3efd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1dde384d3941327a89644f4b09a11cef"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemenschderlader_1_1cli.html#a1dde384d3941327a89644f4b09a11cef">parse_args</a> (parser)</td></tr>
<tr class="separator:a1dde384d3941327a89644f4b09a11cef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0f9ca397a3fff0b8297206b061d1319"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemenschderlader_1_1cli.html#af0f9ca397a3fff0b8297206b061d1319">check_args</a> (url, recurse, path_out, path_driver)</td></tr>
<tr class="separator:af0f9ca397a3fff0b8297206b061d1319"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5422484c50d7178a5f2bafbece8687b"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemenschderlader_1_1cli.html#ab5422484c50d7178a5f2bafbece8687b">main</a> ()</td></tr>
<tr class="separator:ab5422484c50d7178a5f2bafbece8687b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="af0f9ca397a3fff0b8297206b061d1319"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af0f9ca397a3fff0b8297206b061d1319">&#9670;&nbsp;</a></span>check_args()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.cli.check_args </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>url</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>recurse</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path_out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>path_driver</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param url: str
    Url to download
:param path_out: str
    Folder to use as output
:param path_driver: str
    Path to chrome-driver to use
:return: bool
    True iff args are correct
</pre> 
</div>
</div>
<a id="abe23ad5d71c2037d274709d79bca3efd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe23ad5d71c2037d274709d79bca3efd">&#9670;&nbsp;</a></span>create_args()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.cli.create_args </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: ArgumentParser
    Parser that handles cmd arguments.
</pre> 
</div>
</div>
<a id="ab5422484c50d7178a5f2bafbece8687b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5422484c50d7178a5f2bafbece8687b">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.cli.main </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1dde384d3941327a89644f4b09a11cef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1dde384d3941327a89644f4b09a11cef">&#9670;&nbsp;</a></span>parse_args()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def menschderlader.cli.parse_args </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>parser</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param parser: ArgumentParser
    Object that holds cmd arguments.
:return: tuple
    Values of arguments.
</pre> 
</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
